Bug 183615 - Mozilla totally ignores soft hyphens
Mozilla totally ignores soft hyphens
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 05:47 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 22:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 9101 None None None Never

  None (edit)
Description JW 2006-03-02 05:47:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
All soft hyphens are totally ignored by Mozilla.
Normally the ­ character is treated as a soft hyphen and can be used to cause long words to be split across lines (in a table, for example).

Other browsers like IE seem to adhere more strictly to the HTML standards.


Version-Release number of selected component (if applicable):
mozilla-1.7.12-1.5.1

How reproducible:
Always

Steps to Reproduce:
1.Create some html with soft hyphens
2.Stumped?
3.Ok, here is a silly example.
<table width="5">
<tr>
<td>
Averylongwordxxxxx&shy;xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx&shy;xxxxxxxxxxxxxxxxxxxxxxxxxxxxx
</td>
</tr>
</table>
View this with Mozilla and Microsoft Internet Explorer.
  

Actual Results:  Mozilla will not hyphenate the word.
Microsoft Internet Explorer will hyphenate the word.


Expected Results:  Mozilla should recognise soft hyphens


Additional info:
Comment 1 Christopher Aillon 2006-10-30 22:20:21 EST
Tracked upstream at https://bugzilla.mozilla.org/show_bug.cgi?id=9101

Note You need to log in before you can comment on or make changes to this bug.